Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Diagram

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.model.DiagramElement
                        |
                        +--biouml.model.Node
                              |
                              +--biouml.model.Compartment
                                    |
                                    +--biouml.model.Diagram

public class Diagram
extends Compartment
implements PropertyChangeListener

Fields inherited from class biouml.model.Compartment
`SHAPE_ELLIPSE, SHAPE_RECTANGLE, SHAPE_ROUND_RECTANGLE`

Fields inherited from class biouml.model.Node
`background`

Constructor Summary
`Diagram(DataCollection origin, Base kernel, DiagramType type)` Creates the diagram of the specified type.

Method Summary
`DiagramElement` | `clone(DataCollection origin, String newName)`
`DiagramType` | `getType()`
`DiagramViewOptions` | `getViewOptions()`
`void` | `propertyChange(PropertyChangeEvent pce)`
`void` | `setKernel(Base newKernel)`
`void` | `setViewOptions(DiagramViewOptions options)`

Methods inherited from class biouml.model.Compartment
`addDataCollectionListener, clone, clone, close, contains, contains, findNode, get, getCompleteName, getDataElementType, getInfo, getNameList, getShapeColor, getShapeSize, getShapeType, getSize, init, isMutable, iterator, propagateElementChanged, propagateElementWillChange, put, remove, removeDataCollectionListener, setShapeColor, setShapeSize, setShapeType`

Methods inherited from class biouml.model.Node
`addEdge, edgeIterator, findCommonOrigin, getBackground, getImage, getLocation, removeEdge, setBackground, setImage, setLocation, setLocation`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, setComment, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Diagram

    public Diagram(DataCollection origin, Base kernel, DiagramType type)
              throws java.lang.Exception

  Creates the diagram of the specified type.
  Parameters:
    type - the diagram type.

Method Detail

### clone

    public DiagramElement clone(DataCollection origin, String newName)
                          throws java.lang.Exception

### getType

    public DiagramType getType()

### getViewOptions

    public DiagramViewOptions getViewOptions()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  todo implement

### setKernel

    public void setKernel(Base newKernel)

### setViewOptions

    public void setViewOptions(DiagramViewOptions options)

Association Links

to Class org.apache.log4j.Category

to Class biouml.model.DiagramType

to Class biouml.model.DiagramViewOptions

Dependency Links

to Class biouml.model.Module

  link dependency

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM